# Copyright 2013 Fraunhofer SIT
# Distributed under the terms of the GNU General Public License v2

EAPI=1

[[ ${PV} == "9999" ]] && SUBVERSION_ECLASS="subversion"
ESVN_REPO_URI="http://persoapp.googlecode.com/svn/trunk/"
inherit eutils java-pkg-2 java-ant-2 ${SUBVERSION_ECLASS}
unset SUBVERSION_ECLASS

ANT_TASKS="compile"

#MY_PN="PersoApp"
#MY_P="${MY_PN}-${PV}"
DESCRIPTION="Client for German ID card"
HOMEPAGE="http://www.persoapp.de"
LICENSE="BSD"
SLOT="0"

# Don't move KEYWORDS on the previous line or ekeyword won't work # 399061
[[ ${PV} == "9999" ]] || \
KEYWORDS="amd64 x86 ~amd64-fbsd ~x86-fbsd ~x64-macos"

JAVA_PKG_FORCE_VM="icedtea-bin-6"

[[ ${PV} == "9999" ]] || SRC_URI="https://googledrive.com/host/0BwAMd9a8dhRzU0dPdlRuNTNYams/Persoapp.jar"

RDEPEND=">=virtual/jre-1.6"

if [[ ${PV} == "9999" ]]; then
	DEPEND="virtual/jdk:1.6
	dev-java/icedtea6-bin
	sys-apps/pcsc-lite
	sys-apps/pcsc-tools
	dev-vcs/subversion"
else
	DEPEND="virtual/jdk:1.6
	sys-apps/pcsc-lite
	sys-apps/pcsc-tools"
fi

src_unpack() {

	if [[ ${PV} == "9999" ]]; then
		subversion_src_unpack
#	else
		#unpack ${A}
		#nothing to unpack because we download a jar
	fi
}

src_compile() {

	if [[ ${PV} == "9999" ]]; then
		cd "${S}"
		cd PersoApp-Desktop/build
		eant
	#else
		#nothing to do here
	fi

}

src_install() {

	if [[ ${PV} == "9999" ]]; then
		java-pkg_newjar "PersoApp-Desktop/dist/PersoApp.jar" "${PN}.jar" || die "java-pkg_newjar failed"
	else
		java-pkg_newjar ../distdir/${A} "${PN}.jar" || die "java-pkg_newjar failed"
	fi

	java-pkg_dolauncher "${PN}" --jar "${PN}.jar" || die "java-pkg_dolauncher failed"

}

#pkg_postinst() {
	#elog "This package installs several command line tools for manipulating"
	#elog "PDF files. Some of their names were changed from upstream to"
	#elog "be less ambigous, and not collide with other packages. For"
	#elog "detailed information refer to the html documentation installed with"
	#elog "USE=doc, or ${HOMEPAGE}"

	#while read line
	#do
	#	elog ${line}
	#done < "${T}"/launcher.list
#}
